<?php

// Database configuration
define('DBHOST', 'localhost');
define('DBUSER', 'root');
define('DBPASS', '');
define('DBNAME', 'musicnew');

// How many songs to queue into the jukebox when "Surpise Me" is clicked
define('SONGSPERSURPRISE', 10);
// How many songs to return when searching
define('SEARCHLIMIT', 50);

// LOCALNETWORK can be a partial (for a subnet) or a full IP address.
// When RESTRICTQUEUES is true, only change requests from the listed
// address/scope will be accepted.
define('LOCALNETWORK', '192.168.1.');
define('RESTRICTQUEUES', false);

// The min and max volumes used for system audio. This will likely
// require a bit of tweaking for each system and amplifier configuration.
define('MAXVOLUME', 28);
define('MINVOLUME', 0);

// Home directory for the user that runs the web server process.
// Modern Linux systems typically use PulseAudio which needs files
// from a user's home directory to properly control audio settings.
// This may require changing the shell and/or login permissions for
// the user that runs the web server process. Your mileage may vary.
define('WEBUSERHOMEDIR', '/home/web');

// Which mp3 player should we be using. This should just be the executable
// name and not the full path.
define('MP3PLAYER', 'mpg321');

/* ---------------------- Below here be dragons ---------------------- */

define('ALBUMSTABLE', 'albums');
define('INSTANTQTABLE', 'instantq');
define('QUEUESTABLE', 'queues');
define('RECENTSTABLE', 'recently');
define('SONGSTABLE', 'songs');
define('QUEUECONTENTSTABLE', 'queuecontents');
define('SETTINGSTABLE', 'settings');
